# Get encrypted card data related to gateway token

Request to get card data related to the gateway token. The returned sensitive data is encrypted for enhanced security.

Endpoint: GET /token-vault/{ownerType}/{ownerId}/vaults/gateway-tokens/{gatewayTokenId}/card-data/encrypted
Version: 1.0.0

## Path parameters:

  - `ownerId` (string, required)
    The unique identifier of the entity owning the token (e.g., Referrer, Merchant Group, Merchant, Site).
    Example: "MERCHANT-GROUP-1"

  - `ownerType` (string, required)
    The type of entity owning the token (e.g., Referrer, MerchantGroup, Merchant or Site).
    Enum: "Referrer", "MerchantGroup", "Merchant", "Site"

  - `gatewayTokenId` (string, required)
    The gateway token ID.
    Example: "7f46c09d-d1d1-4f94-9a88-6e8ac32e6341"

## Response 200 fields (application/json):

  - `encryptedPrimaryAccountNumber` (string)
    The encrypted primary account number (PAN) of the card.
    Example: "QWxhZGRpbjpvcGVuIHNlc2FtZQ=="

  - `expiryMonth` (string)
    The expiry month of the card, as a number from 1 to 12. Typically zero-padded to two digits (for example, 03).
    Example: "03"

  - `expiryYear` (string)
    The expiry year of the card (YYYY).
    Example: "2025"

  - `encryptedHolderName` (string)
    The encrypted name of the cardholder.
    Example: "Sm9obiBEb2U="

  - `fundingSource` (string,null)
    The funding source type of the card.
    Enum: "Credit", "Debit", "Prepaid"

## Response 400 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: "81f32b80-2ba0-4430-8ecd-0b559274ba9c"

  - `details` (array)
    Additional details about the error.

  - `errorCode` (string)
    The error code returned for the operation.
    Example: "INVALID_REQUEST"

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: "The request parameters are invalid."


